System 2.0.0.0 4.0.0.0 System.Collections.CollectionBase System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

The class provides a simple collection object that can be used to store a set of objects.

Represents a collection of objects.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new, empty instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class containing the specified array of objects.

  An array of objects with which to initialize the collection.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class containing the elements of the specified source collection.

  A with which to initialize the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Adds the specified object to the collection.

  The zero-based index at which the new element was inserted.

  The to add.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds the specified object to the collection using the specified data type name.

  The name of a data type for which to add the object to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Copies the elements of the specified array to the end of the collection.

  An array of type containing the objects to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Copies the elements of the specified to the end of the collection.

  A containing the objects to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the collection contains the specified object.

  true if the object is contained in the collection; otherwise, false.

  The object to search for in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the items in the collection to the specified one-dimensional at the specified index.

  The one-dimensional that is the destination of the values copied from the collection. The index of the array at which to begin inserting.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Gets the index in the collection of the specified object, if it exists in the collection.

  The zero-based index of the specified object in the collection if found; otherwise, -1.

  The object to locate in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Inserts the specified object into the collection at the specified index.

  The zero-based index at which to insert the item. The object to insert.
- Property
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeParameter `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the specified object from the collection.

  The object to remove from the collection.